Security Enhanced Linux Reference Policy

# Layer: system

## Module: sysnetwork

Interfaces

### Description:

Policy for network configuration: ifconfig and dhcp client.

### Interfaces:

sysnet_create_config( domain )

##### Summary

Create network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_dbus_chat_dhcpc( domain )

##### Summary

Send and receive messages from dhcpc over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_delete_dhcpc_pid( domain )

##### Summary

Delete the dhcp client pid file.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_delete_dhcpc_state( domain )

##### Summary

Delete the dhcp client state file.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_dhcp_state_filetrans( domain , file_type , object_class )

##### Summary

Create DHCP state data.

##### Description

Create DHCP state data.

This is added for DHCP server, as the server and client put their state files in the same directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
file_type | The type of the object to be created
object_class | The object class.

sysnet_dns_name_resolve( domain )

##### Summary

Perform a DNS name resolution.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_domtrans_dhcpc( domain )

##### Summary

Execute dhcp client in dhcpc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_domtrans_ifconfig( domain )

##### Summary

Execute ifconfig in the ifconfig domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_dontaudit_read_config( domain )

##### Summary

Do not audit attempts to read network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sysnet_etc_filetrans_config( domain )

##### Summary

Create files in /etc with the type used for the network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_exec_ifconfig( domain )

##### Summary

Execute ifconfig in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_kill_dhcpc( domain )

##### Summary

Send a kill signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain sending the SIGKILL.

sysnet_manage_config( domain )

##### Summary

Create, read, write, and delete network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_manage_network_state( domain )

##### Summary

Create, read, write, and delete network state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_read_config( domain )

##### Summary

Read network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_read_dhcp_config( domain )

##### Summary

Read the DHCP configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_read_dhcpc_pid( domain )

##### Summary

Read the dhcp client pid file.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

sysnet_read_dhcpc_state( domain )

##### Summary

Read dhcp client state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain allowed access.

sysnet_run_dhcpc( domain , role )

##### Summary

Execute DHCP clients in the dhcpc domain, and allow the specified role the dhcpc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the clock domain.

sysnet_run_ifconfig( domain , role )

##### Summary

Execute ifconfig in the ifconfig domain, and allow the specified role the ifconfig domain, and use the caller's terminal.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the ifconfig domain.

sysnet_rw_dhcp_config( domain )

##### Summary

Read and write dhcp configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain allowed access.

sysnet_search_dhcp_state( domain )

##### Summary

Search the DHCP state data directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_setattr_config( domain )

##### Summary

Set the attributes of network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_sigchld_dhcpc( domain )

##### Summary

Send a SIGCHLD signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain sending the SIGCHLD.

sysnet_signal_dhcpc( domain )

##### Summary

Send a generic signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain sending the signal.

sysnet_signal_ifconfig( domain )

##### Summary

Send a generic signal to ifconfig.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_signull_dhcpc( domain )

##### Summary

Send a null signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain sending the null signal.

sysnet_sigstop_dhcpc( domain )

##### Summary

Send a SIGSTOP signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain sending the SIGSTOP.

sysnet_use_ldap( domain )

##### Summary

Connect and use a LDAP server.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_use_portmap( domain )

##### Summary

Connect and use remote port mappers.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_write_config( domain )

##### Summary

Write network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return